local flashlight_radius = 150;
local image = love.graphics.newImage("6_Le_vieux_cimetière_abandonné.jpg");

function love.load()
    local image_width = image:getWidth()
    local image_height = image:getHeight()
    love.window.setMode(image_width, image_height)

    love.window.setTitle("flashlight example")
end

function love.draw()
    --make the screen black
    love.graphics.clear(0, 0, 0)

    -- draw white circle around the mouse
    local x = love.mouse.getX()
    local y = love.mouse.getY()
    love.graphics.circle("fill", x - flashlight_radius/2, y - flashlight_radius/2, flashlight_radius)

    -- draw whatever is illuminated by the flashlight_radius
    love.graphics.setBlendMode("darken", "premultiplied")
    love.graphics.draw(image)

    -- reset blend mode
    love.graphics.setBlendMode("alpha")
end

function love.keypressed(key)
    -- ignore non-printable characters (see http://www.ascii-code.com/)
    if key == "escape" then
        love.event.quit()
    end
end